Recommended update for crmsh

SUSE Recommended Update: Recommended update for crmsh
Announcement ID: SUSE-RU-2019:2793-1
Rating: moderate
References: #1127716 #1129210 #1129317 #1129383 #1129702 #1130715 #1135585 #1135586 #1135696 #1138115 #1138405 #1145823 #1146922
Affected Products:
  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15
  • SUSE Linux Enterprise High Availability 15

An update that has 13 recommended fixes can now be installed.

Description:

This update for crmsh contains the following fixes:

  • Update to version 4.1.0+git.1569593061.35f57072: * Fix: utils: fix logic for process non comments line. (bsc#1145823) * High: cibconfig: Correctly sanitize the original CIB as patch base. (bsc#1127716, bsc#1138405) * Revert "High: cibconfig: Use correct CIB as patch base". (bsc#1127716) * Partially revert "Medium: cibconfig: Sanitize CIB for patching". (bsc#1127716) * Update changelog from 3.0.0 to 4.1.0 * Fix: utils: issue in to_ascii. (bsc#1138115) * Fix: bootstrap: bindnetaddr should accept both network and specific IP. (bsc#1135585, bsc#1135586) * Fix: hb_report: analysis.txt should includes warning, error, critical messages. (bsc#1135696) * Medium: ui_node: Check corosync state before clearstate. (bsc#1129702) * Fix: hb_report: handle UnicodeDecodeError: (bsc#1130715) * setting error='replace' to replace invalid utf-8 characters * try to catch UnicodeDecodeError and print traceback * Medium: cibconfig: Sanitize CIB for patching. (bsc#1127716) * High: cibconfig: Use correct CIB as patch base. (bsc#1127716) * Medium: parse: Detect and error on illegal ordering of op attributes. (bsc#1129210) * Medium: utils: Handle sysconfig values containing. (bsc#1129317) * Low: hb_report: collect output of "sbd dump" and "sbd list". (bsc#1129383) * High: hbreport: fix UnicodeEncodeError while print. (bsc#1146922)
  • Drop merged patches.

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15:
    zypper in -t patch SUSE-SLE-Module-Development-Tools-OBS-15-2019-2793=1
  • SUSE Linux Enterprise High Availability 15:
    zypper in -t patch SUSE-SLE-Product-HA-15-2019-2793=1

Package List:

  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (noarch):
    • crmsh-test-4.1.0+git.1569593061.35f57072-3.14.1
  • SUSE Linux Enterprise High Availability 15 (noarch):
    • crmsh-4.1.0+git.1569593061.35f57072-3.14.1
    • crmsh-scripts-4.1.0+git.1569593061.35f57072-3.14.1

References: